#ifndef CODEC_SRC1_H
#define CODEC_SRC1_H

void src1_init(void);
void src1_tx_dma_init(DMA_HandleTypeDef *dma_handle);
void src1_rx_dma_init(DMA_HandleTypeDef *dma_handle);
void src1_rx_full_cplt(DMA_HandleTypeDef dma, void *param);
void src1_rx_half_cplt(DMA_HandleTypeDef dma, void *param);
void src1_tx_full_cplt(DMA_HandleTypeDef dma, void *param);
void src1_tx_half_cplt(DMA_HandleTypeDef dma, void *param);

int32_t src1_write_data(uint8_t *buf, uint16_t points);
#endif // CODEC_SRC_H